
function promiseAjax(url){
    return new Promise((resolve,reject)=>{
        function handle(){
            if(this.readyState !== 4){
                reject(this.response)
            }
            if(this.status >= 200 && this.status < 300  || this.status === 304){
                resolve(this.responseText)
            }
            reject(this.response)

        }
        const xhr = new XMLHttpRequest();
        xhr.open('GET',url,true)
        xhr.onreadystatechange = handle
        xhr.send()
    })
}

export default promiseAjax